uniform vec3 color;
uniform float alpha;
uniform float enabled;
uniform sampler2D texture;   
uniform float time;

varying float vNoise;
varying vec3 vNormal;
varying vec3 vPos;
varying vec2 vUv;

void main(void) {
    vec2 p = vPos.xy;

    vec4 pixel = texture2D(texture, vUv);
    if(pixel.a <= 0.0)
        discard;

    vec3 c = (vec3(1.0, 1.0, 1.0) - pixel.rgb) * color;
    //c *= vNoise;
    gl_FragColor = vec4(c, alpha);


}